package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbOrgInfoEntity;
import com.ruoyi.web.v3.model.request.HbOrgInfoPageReq;

/**
 * <p>
 * v3.0 企业信息管理 服务类
 * </p>
 */
public interface IHbOrgInfoService extends IService<HbOrgInfoEntity> {

    AjaxResult add(HbOrgInfoEntity request);

    AjaxResult edit(HbOrgInfoEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbOrgInfoPageReq request);

    AjaxResult listAll();

    AjaxResult getCurrent();

}
